/*
 * Copyright (c) 2001 Falk Feddersen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


/* cmdline.h - Jan 1 2001 */


/* Here goes all the command line processing stuff */

typedef struct {
  int verbose;
  int diagnostic;
  int help;
  int parse;
  int gui;
  int msg;
  GString *message;
  GString *init_file;    // change this to GString!!
} cmdline;


cmdline* process_args(int argc, char *argv[]);
cmdline* process_args2(int argc, char *argv[]);
