/*
 * Copyright (c) 2001 Falk Feddersen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


/*  input.c -- funcs for loading IC's */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#include "defs.h"
#include "input.h"



void set_const_tke(field1D *BB, double f)
{  

  set_field1D_to_value(BB,f);

}

void load_tke_ic(char *fname,field1D *BB)
{

   FILE *fp;
   int i;
   gdouble a;

   if ((fp=fopen(fname,"r"))==NULL) {
       fprintf(stderr,"Error loading line forcing file: %s\n",fname);
       exit(-1);
   }

   for (i=0;i<BB->N;i++) {
      fscanf(fp,"%lf",&a);
      DR1(BB,i) = a;
   }

   fclose(fp);
}




