/*
 * Copyright (c) 2002 Falk Feddersen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* 
   tri.h - definitions header file for tri.c


*/

#ifndef TRI_H
#define TRI_H

#include "defs.h"


int  tridiagonal(double *ad,double *adl,double *adu,double *b,double *x,double *work,int n);

int  tridiagonal_mflow(const double *ad, const double *adl, const double *adu,
                       double *bu, double *bv, double *xu, double *xv,
                       double *work,int n);


int  tridiagonal_bubble(const double *ad, const double *adl, const double *adu,
                        const field2D *BB, field2D *XX, double *work, double *work_bet);

int  tridiagonal_bubble2(const double *ad, const double *adl, const double *adu,
			 const field2D *BB, field2D *XX, double *work, double *work_bet);


#endif /* TRI_H */
